# -*- coding: utf-8 -*-
# Generated by Django 1.11.5 on 2018-04-24 09:24
from __future__ import unicode_literals

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('core', '0014_userprofile_lockouts_ignore_current_expired_raids'),
        ('thing', '0008_characterdata_order_hall_talents'),
    ]

    operations = [
        migrations.CreateModel(
            name='CharacterWorldQuest',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('expires', models.DateTimeField()),
                ('finished', models.BooleanField()),
                ('completed_quests', models.SmallIntegerField()),
                ('required_quests', models.SmallIntegerField()),
                ('character', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='world_quests', to='thing.Character')),
                ('faction', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='+', to='core.Faction')),
            ],
        ),
    ]
